wayland::server::zwp_primary_selection_offer_v1_t(3)

NAME
wayland::server::zwp_primary_selection_offer_v1_t - offer to transfer primary selection contents

SYNOPSIS

#include <wayland-server-protocol-unstable.hpp>

Inherits wayland::server::resource_t.

  Public Member Functions

std::function< void(std::string, int)> & on_receive ()
request that the data is transferred
std::function< void()> & on_destroy ()
destroy the primary selection offer
void offer (std::string const &mime_type, bool post=true)
advertise offered mime type
bool proxy_has_object () const
Check whether this wrapper actually wraps an object.
void post_no_memory () const
uint32_t get_id () const
client_t get_client () const
unsigned int get_version () const
std::string get_class ()

  Static Public Attributes

static constexpr std::uint32_t offer_since_version = 1
Minimum protocol version required for the offer function.

Detailed Description

offer to transfer primary selection contents

A wp_primary_selection_offer represents an offer to transfer the contents of the primary selection clipboard to the client. Similar to wl_data_offer, the offer also describes the mime types that the data can be converted to and provides the mechanisms for transferring the data directly to the client.

Definition at line 3678 of file wayland-server-protocol-unstable.hpp.

Member Function Documentation

  std::string wayland::server::resource_t::get_class () [inherited]
Retrieve the interface name (class) of a resource object.

Returns
    Interface name of the resource object.

  client_t wayland::server::resource_t::get_client () const [inherited]
Get the associated client

Returns
    the client that owns the resource.

  uint32_t wayland::server::resource_t::get_id () const [inherited]
Get the internal ID of the resource

Returns
    the internal ID of the resource

  unsigned int wayland::server::resource_t::get_version () const [inherited]
Get interface version

Returns
    Interface version this resource has been constructed with.

  void zwp_primary_selection_offer_v1_t::offer (std::string const & mime_type, bool post = true)

advertise offered mime type

Parameters
    mime_type

Sent immediately after creating announcing the wp_primary_selection_offer through wp_primary_selection_device.data_offer. One event is sent per offered mime type.

Definition at line 5901 of file wayland-server-protocol-unstable.cpp.

  std::function< void()> & zwp_primary_selection_offer_v1_t::on_destroy ()

destroy the primary selection offer Destroy the primary selection offer.

Definition at line 5895 of file wayland-server-protocol-unstable.cpp.

  std::function< void(std::string, int)> & zwp_primary_selection_offer_v1_t::on_receive ()

request that the data is transferred

Parameters
    mime_type
    fd

To transfer the contents of the primary selection clipboard, the client issues this request and indicates the mime type that it wants to receive. The transfer happens through the passed file descriptor (typically created with the pipe system call). The source client writes the data in the mime type representation requested and then closes the file descriptor.

The receiving client reads from the read end of the pipe until EOF and closes its end, at which point the transfer is complete.

Definition at line 5889 of file wayland-server-protocol-unstable.cpp.

  void wayland::server::resource_t::post_no_memory () const [inherited]
Post 'not enough memory' error to the client

If the compositor has not enough memory to fulfill a certail request of the client, this function can be called to notify the client of this circumstance.

  bool wayland::server::resource_t::proxy_has_object () const [inherited]

Check whether this wrapper actually wraps an object.

Returns
    true if there is an underlying object, false if this wrapper is empty

Member Data Documentation

  constexpr std::uint32_t wayland::server::zwp_primary_selection_offer_v1_t::offer_since_version = 1 [static], [constexpr]

Minimum protocol version required for the offer function.

Definition at line 3742 of file wayland-server-protocol-unstable.hpp.

Author

Generated automatically by Doxygen for Wayland++ from the source code.